/* Stylesheet für Selfhtml Design 03 
  responsives Layout mit Grid Layout ab Z. 210   */

/* ====================================================   GLOBAL DEFINITION   ==================================================== */

/* alternatives Boxmodell */
html { 
  box-sizing: border-box; 
  background: #d5d5d5;	
} 

*, ::before, ::after { 
  box-sizing: inherit; 
}

body {
	max-width: 135em;
	margin:0 auto;
	background: #fff;	
	color: #333; 
	font: normal 1em Roboto, sans-serif;  /* Mindestschriftgröße wird dem Browser, bzw. dem Nutzer überlassen! */
}

/* ====================================================   HEADER   ==================================================== */

header {
	position: relative;		
	height: 150px;
	background: #777 url("../../images/wappen100kl.jpg") no-repeat right; 
	background-size: contain; 			 
}

header a h1,
header a p {			/*Die Angaben für h1 müssen mit einem genauen Selektor überschrieben werden. */
	color: white; 
	border-left: 0;
	padding: 0;
    display: table;		/* Überschriften und Absätze sind sonst immer 100% breit, durch display:table und display: inline-block; für das Elternelement a.ribbon wird das Banner nur so breit wie nötig. */
}

header h1,
header p {			/*Die Angaben für h1 müssen mit einem genauen Selektor überschrieben werden. */
	color: white; 
	border-left: 0;
	padding: 0;
    display: table;		/* Überschriften und Absätze sind sonst immer 100% breit, durch display:table und display: inline-block; für das Elternelement a.ribbon wird das Banner nur so breit wie nötig. */
}

.ribbon {
	display: inline-block;
	position: relative;	
	margin: 0.5em 0 0.5em 0em;
	padding: 0.5em 1em;
	background: #4e7a92;
	box-shadow: 5px 5px 5px 0px rgba(0,0,0,.8);
}

/*
.ribbon::before{
	display: block;
	width: 1.5em;
	height: 0;
	position: absolute;
	bottom: -1.5em;
	left: 0em;
	content: "";
	border-bottom: 1.5em solid transparent;
	border-right: 1.5em solid rgb(0, 80, 116);
}
*/

/** CONTENT **/

main {
	margin: 0 0 1em;
	padding: 1em;
	background: #fff;
}

h1,
h2 {
	font-family: Roboto, 'Helvetica Neue', Helvetica, sans-serif; 
	padding-left: 1em; 
	color: #666; 
	/* text-transform: uppercase; */
	border-left:5px solid #4e68AD;
}
	
h2 span {
    color: blue;
    font-weight: bold;
}

h3	{ 
	font-size: 1.25em; 
	font-weight: normal; 
	padding: 0px; 
	margin: 0px; 
	color: #4E68AD; 
}		

p {
	text-align: left; 
}

a 	{ 
	color: #4e7a92; 
	outline: none; 
	text-decoration: none; 
}
a:hover, 			/* Durch Maus oder Tastatur angewählte Verweise werden sichtbar gemacht */
a:focus { 
	color: white; 
	text-decoration: none; 
	background-color: #4e7a92;	
}

.trademark {
    color: blue;
    font-weight: bold;
}

.keyword {
    color: blue;
    font-weight: bold;
	font: normal 1em Mono;  /* Mindestschriftgröße wird dem Browser, bzw. dem Nutzer überlassen! */
}

.emphasised {
    font-style: italic;
}

.workopen {
	color : Teal;
	background-color: BurlyWood;
}

table {
    border-style: solid;
	border-width: medium;
	border-collapse: collapse;
}

.condition {
	background-color: Gainsboro;	
}

.transition {
	background-color: Honeydew;	
}

.separatecondition {
    border-right-style: solid;
	border-right-width: thin;
    border-bottom-style: solid;
	border-bottom-width: thin;
}

.separatefunction {
    border-right-style: solid;
	border-right-width: thin;
    border-bottom-style: solid;
	border-bottom-width: medium;
}

.colhead {
    border-right-style: solid;
	border-right-width: thin;
    border-bottom-style: solid;
	border-bottom-width: medium;
	background-color: PapayaWhip;	
}

/*DL, DT, DD Datenliste*/
dl.grid { 
  display: grid; 
  grid-template-columns: 1fr 100%; 
}
dd { 
  margin: 0; 
  padding-left: 1em; 
}

dd span:first-child {
  display: inline-block;
  width: 4em;
}

dl.grid dd {
  margin-bottom: 1em;
}

a[href^="tel"] { white-space: nowrap; }

ul#footer-nav li { 
	list-style-type: none;  
	displaY: inline;
	padding: 0 0.5em; 
	border-right: 1px  solid #ACACAC; 
}

footer {
	display: grid;
    grid-template-columns: repeat(2, 1fr);	
	padding: 1em;
}

ul#footer-nav  li:last-child { 
	border: none; 
}	

ul#footer-nav img {
	width: 1.5em;
}

ul#footer-nav a:hover,
ul#footer-nav a:focus, 
ul#footer-nav a:active {
	background: white;
}

footer p {
	text-align: right;
}

/** Navigation **/

nav a[aria-current=page]{
 background: #aaa;
}

nav p {
	margin: 0 0 0;
	padding: 0px 0px
}

.subnav {
	margin-left: 1.25em;
}

/* ========== repsonsives Grid-Layout ========== */

/* mobile first - auf schmalen Bildschirmen wird alles untereinander platziert. */ 

/* ab einer Breite von 30em haben zwei Spalten nebeneinander Platz: */

@media (min-width: 30em) { 
  main {
  	display: grid;	  
    grid-template-columns: repeat(2, 1fr);
	grid-gap: 0.25em;
  }

  nav {
    grid-column: 1 / 2;
  }
  
  #intro {
    grid-column: 2 / 3;
    grid-row:    1 / 2;					
  }

  article {
    grid-column: 2 / 3;
  }  
  
  /*
  .spalte img {
     width: 50%;
	 float: left;
	 margin-right: 0.5em;		
  }
	 */
}



@media (min-width: 50em) { 
  main {
    /* grid-template-columns: repeat(3, 1fr); */
    grid-template-columns: minmax(5em, 20em) 1fr;
 }
 
  nav {
    grid-row: 1 / 4;
  } 

  #intro {
    grid-column: 2 / 4;
    grid-row:    1 / 2;					
  }

  article {
    grid-column: 2 / 4;
  }    
  
   aside {
    grid-column: 3 / 4;
    grid-row: 1 / 2;	
  }   
  
  .spalte {
    grid-row:    2;					
  }

  /*
  .spalte img {
     width: 644px;
  } 
	 */
}